/*
 * Created on 02-July-2007
 *
 */
package net.roseindia.dao;

import java.util.*;



import org.springframework.dao.DataAccessException;

import net.roseindia.dao.hibernate.*;



/**
 * @author Deepak Kumar
 *
 */
public interface HibernateSpringDAO {

	/**
	 * Retrieve all <code>true</code>/<code>false</code> from the datastore.
	 * @return a <code>true</code> or  <code>fasel</code>.
	 */
	public User checkUser(String strUserName) throws DataAccessException,java.sql.SQLException;

	/**
	 * Retrieve all <code>true</code>/<code>false</code> from the datastore.
	 * @return a <code>true</code> or  <code>fasel</code>.
	 */
	public User validateUser(String strUserName,String password) throws DataAccessException,java.sql.SQLException;

	/**
	 * Saves User object to the datastore.
	 *
	 */
	public void addUser(net.roseindia.dao.hibernate.User obj) throws DataAccessException;


	
}

